petsc-3.4.2 2013-07-02

# KSPSetDMActive

Indicates the DM should be used to generate the linear system matrix and right hand side

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetDMActive(KSP ksp,PetscBool flg)

Logically Collective on KSP

### Input Parameters

| ksp | - the preconditioner context
| flg | - use the DM

### Notes

By default KSPSetDM() sets the DM as active, call KSPSetDMActive(dm,PETSC_FALSE); after KSPSetDM(dm) to not have the KSP object use the DM to generate the matrices

### See Also

KSPGetDM(), KSPSetDM(), KSPGetDM()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex43.c.html